#ifndef VCARD_H
#define VCARD_H 1
/* vcard.h - header info for vcard.c */

/*
extern int debug;
extern const char *outfile;
extern const char *infile;
*/

#define SIZE_VCARD 547

struct s_vcard_time {
	int year;
	int month;
	int day;
	int hour;
	int min;
	int sec;
};

struct s_vcard {
	int mem_pos; /* Ranges from 0 to 500 */
	struct s_vcard_time last_mod;
	char firstname[17];
	char street[41];
	char city[17];
	char postal[9];
	char country[17];
	char organisation[17];
	char lastname[25];
	char home[41];
	char cell[41];
	char work[41];
	char fax[41];
	char email[41];
	char url[65];
};

char *create_vcard (char *);
struct s_vcard *parse_vcard (char *);
#endif /* VCARD_H */
